package yjmyzz.ejb.client.helloworld;

import java.util.Hashtable;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

import yjmyzz.ejb.server.helloworld.HelloWorldService;


public class EjbClientApp {
	public static void main(String[] args) throws NamingException {
		System.out.println(lookupRemoteBean().sayHello("jimmy"));
	}

	@SuppressWarnings("unchecked")
	private static HelloWorldService lookupRemoteBean() throws NamingException {
		@SuppressWarnings("rawtypes")
		final Hashtable jndiProperties = new Hashtable();
		jndiProperties.put(Context.URL_PKG_PREFIXES,
				"org.jboss.ejb.client.naming");
		final Context context = new InitialContext(jndiProperties);
		return (HelloWorldService) context
				.lookup("ejb:/ejb-server-helloworld/HelloWorldBean!"
						+ HelloWorldService.class.getName());
	}
}
